#
# spec file for package libzhuyin
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover	7
Name:           libzhuyin
Version:        1.1.1
Release:        lp151.2.48
Summary:        Library to deal with zhuyin
License:        GPL-2.0
Group:          System/I18n/Chinese
Url:            https://github.com/libzhuyin/libzhuyin
Source:         %{name}-%{version}.tar.gz
Source1:        http://downloads.sourceforge.net/libzhuyin/models/model9.text.tar.gz
# PATCH-FIX-UPSTREAM marguerite@opensuse.org - no download when build
Patch:          libzhuyin-no-download.patch
# PATCH-FIX-UPSTREAM marguerite@opensuse.org 
# it will use current date eg. /usr/include/libzhuyin-0.9.99.20140716
# Don't do this
Patch1:         libzhuyin-no-random-version-number-includedir.patch
BuildRequires:  db-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  glib2-devel
BuildRequires:  gnome-common
BuildRequires:  libtool
Obsoletes:      libzhuyin-tools < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
# libzhuyin has been source-merged with libpinyin and recent versions
# come from there.

%description
The libzhuyin project provides the algorithms core 
for intelligent sentence-based Chinese zhuyin input methods.

%package -n libzhuyin%{sover}
Summary:        Runtime libraries for libzhuyin 1.1
Group:          System/Libraries
Requires:       libzhuyin-1_1-data

%description -n libzhuyin%{sover}
The libzhuyin project provide the algorithms core
for intelligent sentence-based Chinese zhuyin input methods.

This package provides the runtime libraries for libzhuyin.

%package -n libzhuyin-1_1-data
Summary:        Data files for libzhuyin 1.1
Group:          System/I18n/Chinese

%description -n libzhuyin-1_1-data
The libzhuyin project aims to provide the algorithms core
for intelligent sentence-based Chinese zhuyin input methods.

This package provides the data files used by libzhuyin%{sover} to be functional.

%package -n libzhuyin-1_1-devel
Summary:        Development headers for libzhuyin
Group:          Development/Libraries/C and C++
Requires:       libzhuyin%{sover} = %{version}
Conflicts:      libzhuyin-devel

%description -n libzhuyin-1_1-devel
The libzhuyin project aims to provide the algorithms core
for intelligent sentence-based Chinese zhuyin input methods.

This package provides the development headers for libzhuyin project.

%prep
%setup -q
%patch -p1
%patch1 -p1
cp -r %{SOURCE1} data
pushd data &> /dev/null
tar -xf model9.text.tar.gz
popd &> /dev/null
NOCONFIGURE=1 ./autogen.sh
# Add version number to directory for (arch-dependent!) data
perl -i -lpe 's{^pkgdatadir=.*}{pkgdatadir=\@libdir\@/\@PACKAGE_NAME\@-1.1}' *.pc.in

%build
%configure --disable-static
make %{?_smp_mflags} libzhuyin_dbdir='${libdir}/${PACKAGE_NAME}-1.1/data'

%install
%make_install %{?_smp_mflags} libzhuyin_dbdir='${libdir}/${PACKAGE_NAME}-1.1/data'
rm -rf %{buildroot}/%{_libdir}/%{name}.la
%fdupes %{buildroot}/%{_prefix}

%post -n libzhuyin%{sover} -p /sbin/ldconfig

%postun -n libzhuyin%{sover} -p /sbin/ldconfig

%files -n libzhuyin%{sover}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{name}.so.*

%files -n libzhuyin-1_1-data
%defattr(-,root,root)
%{_libdir}/%{name}-1.1/

%files -n libzhuyin-1_1-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_includedir}/%{name}-%{version}
%{_libdir}/%{name}.so
%{_libdir}/libzhuyin.so
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sun Oct  8 2017 jengelh@inai.de
- Move documentation to libzhuyin7-devel. Manpages do not belong
  into libzhuyin7 (SLPP guideline).
- Adhere to package naming guidelines and use package versions,
  not SO versions for package names.
- Avoid running fdupes across partition boundaries.
- Rename %%soname to %%sover to better reflect its use.
* Thu Sep 28 2017 hillwood@opensuse.org
- Change the install libdir.
* Sat Sep 10 2016 hillwood@opensuse.org
- Update to 1.1.1
  * simplify ZhuyinDaChenCP26Parser2
* Fri Dec 25 2015 hillwood@linuxfans.org
- Update to 1.1.0
  * fixes zhuyin_choose_candidate method
  * rename zhuyin_get_raw_full_pinyin to zhuyin_get_raw_user_input method
  * write zhuyin_valid_zhuyin_keys method
  * fixes zhuyin_in_chewing_keyboard method
  * fixes ChewingDiscreteParser2
* Sat Aug 22 2015 i@marguerite.su
- update version 1.0.91
  * add zhuyin_guess_candidates_before/after_cursor methods.
  * add zhuyin_valid_zhuyin_keys method.
- changes in 1.0.0
  * support shuffle input
* Thu Oct 23 2014 hillwood@linuxfans.org
- Update to 0.9.99.2014929
  * bump so version
  * add function zhuyin_get_zhuyin_key_rest_offset
- Drop libzhuyin-tools, upstream have dropped it.
* Wed Jul 16 2014 i@marguerite.su
- use update-alternatives to resolve conflicts with libpinyin
- add patch: libzhuyin-no-random-version-number-includedir.patch
  * it will use current date, eg. /usr/include/libzhuyin-0.9.99.20140716
    don't do this
* Sun Jul 13 2014 i@marguerite.su
- update version 0.9.99.20140619
  * add zhuyin_get_parsed_input_length function
  * fixes function zhuyin_reset
* Fri Apr 25 2014 i@marguerite.su
- initial version 0.9.94
